### Method

# WebKit2WebExtension DOMEventTarget remove_event_listener_with_closure

deprecated: 2.22

#### Declaration [src]

    gboolean
    webkit_dom_event_target_remove_event_listener_with_closure (
      WebKitDOMEventTarget* target,
      const char* event_name,
      GClosure* handler,
      gboolean use_capture
    )

#### Description [src]

Version of `webkit_dom_event_target_remove_event_listener()` using a closure instead of a callbacks for easier binding in other languages.

Deprecated since: 2.22

Use JavaScriptCore API instead.

This method is renamed to `webkit_dom_event_target_remove_event_listener()` in language bindings.

#### Parameters

`event_name`

  Type: `const char*`

  A #gchar.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`handler`

  Type: `GClosure`

  A `GClosure`.

  The data is owned by the caller of the method.

`use_capture`

  Type: `gboolean`

  A #gboolean.

#### Return value

Type: `gboolean`

A #gboolean.